Debian Bug report logs - #588090
heap corruption overrun in bogofilter/bogolexer

version graph

Package: bogofilter; Maintainer for bogofilter is Serafeim Zanikolas <sez@debian.org>; Source for bogofilter is src:bogofilter.

Reported by: Moritz Muehlenhoff <jmm@debian.org>

Date: Sun, 4 Jul 2010 19:54:01 UTC

Severity: grave

Tags: security

Fixed in versions bogofilter/1.2.1-3, bogofilter/1.1.7-1+lenny1

Done: Serafeim Zanikolas <sez@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, team@security.debian.org, secure-testing-team@lists.alioth.debian.org, Serafeim Zanikolas <serzan@hellug.gr>:
Bug#588090; Package bogofilter. (Sun, 04 Jul 2010 19:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to team@security.debian.org, secure-testing-team@lists.alioth.debian.org, Serafeim Zanikolas <serzan@hellug.gr>. (Sun, 04 Jul 2010 19:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: heap corruption overrun in bogofilter/bogolexer
Date: Sun, 04 Jul 2010 21:50:22 +0200
Package: bogofilter
Severity: grave
Tags: security

The following security issue was found in bogofilter:

bogofilter-SA-2010-01

Topic:          heap corruption overrun in bogofilter/bogolexer

Announcement:   bogofilter-SA-2010-01
Writer:         Matthias Andree
Version:        0.1
CVE ID:
Announced:
Category:       vulnerability
Type:           array index underflow/out of bounds write through invalid input
Impact:         heap corruption, application crash
Credits:        Julius Plenz
Danger:         medium
URL:            http://bogofilter.sourceforge.net/security/bogofilter-SA-2010-01

Affected:       bogofilter <= 1.2.1
                SVN before 2010-07-03 08:40 UTC

Not affected:   bogofilter 1.2.2            (to be released)

1. Background
=============

Bogofilter is a software package for classifying a message as spam or
non-spam.  It uses a data base to store words and must be trained
which messages are spam and non-spam. It uses the probabilities of
individual words for classifying the message.

Note that the bogofilter project is issuing security announcements only
for current "stable" releases, and not necessarily for past "stable"
releases.

2. Problem description
======================

Bogofilter's/bogolexer's base64 could overwrite memory before its heap
buffer if the base64 input started with an equals sign, such as through
misdeclaration of quoted-printable as base64.

3. Impact
=========

Vulnerable bogofilter and bogolexer applications can corrupt their heap and
crash. The consequences are dependent on the local configuration, memory
layout and operating system features.

4. Solution
===========

Upgrade your bogofilter to version 1.2.2 (or a newer release).

bogofilter is available from SourceForge:

<https://sourceforge.net/project/showfiles.php?group_id=62265>

A. Copyright, License and Warranty
==================================

(C) Copyright 2010 by Matthias Andree, <matthias.andree@gmx.de>.
Some rights reserved.

This work is licenced under the Creative Commons
Attribution-NonCommercial-NoDerivs 3.0 Unported License. To view a copy
of this licence, visit http://creativecommons.org/licenses/by-nc-nd/3.0/
or send a letter to Creative Commons, 171 Second Street, Suite 300, San
Francisco, California 94105, USA.

THIS WORK IS PROVIDED FREE OF CHARGE AND WITHOUT ANY WARRANTIES.
Use the information herein at your own risk.

END of bogofilter-SA-2010-01




-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=de_DE.ISO-8859-15@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages bogofilter depends on:
pn  bogofilter-bdb                <none>     (no description available)

bogofilter recommends no packages.

bogofilter suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Serafeim Zanikolas <serzan@hellug.gr>:
Bug#588090; Package bogofilter. (Mon, 05 Jul 2010 08:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
Extra info received and forwarded to list. Copy sent to Serafeim Zanikolas <serzan@hellug.gr>. (Mon, 05 Jul 2010 08:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 588090@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: Moritz Muehlenhoff <jmm@debian.org>, 588090@bugs.debian.org
Subject: Re: Bug#588090: heap corruption overrun in bogofilter/bogolexer
Date: Mon, 5 Jul 2010 10:03:17 +0200
[Message part 1 (text/plain, inline)]
Hi,
the original patch has some more information about this issue.
Quoting from:
http://userpage.fu-berlin.de/~plenz/bogofilter/0001-bugfix-prevent-memory-corruption-in-base64_decode.patch

From 192fd9a149b318b87a01ed482fdf913feee1e2b5 Mon Sep 17 00:00:00 2001
From: Julius Plenz <plenz@cis.fu-berlin.de>
Date: Wed, 16 Jun 2010 12:59:19 +0200
Subject: [PATCH] bugfix: prevent memory corruption in base64_decode

If a string starting with an equal-sign is passed to the base64_decode
function it triggers a memory corruption that in some cases makes
bogofilter crash.

If the first character in word->text ist '=', then in base_64.c:50
`shorten' will be set to 4, the loop ll 59-63 is skipped and the code

    d += 3 - shorten;

will actually rewind the string-pointer d by one, thus causing the
function to write to a potentially invalid memory area in subsequent
calls. (Because *d at that point is the first character in the string.)
---
 src/base64.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/base64.c b/src/base64.c
index db72f9e..d20e4d9 100644
--- a/src/base64.c
+++ b/src/base64.c
@@ -61,8 +61,10 @@ uint base64_decode(word_t *word)
        d[i] = c;
        v = v >> 8;
    }
-   d += 3 - shorten;
-   count += 3 - shorten;
+    if(shorten != 4) {
+        d += 3 - shorten;
+        count += 3 - shorten;
+    }
     }
     /* XXX do we need this NUL byte? */
     if (word->leng)
-- 
1.7.1

So this ends up writing a 0 byte at the end of the function to an invalid pointer.
Nice catch by Julius! Patch looks fine for me even though patching it should be not
too urgent, I don't see much space for code execution.

Cheers
Nico

-- 
Nico Golde - http://www.ngolde.de - nion@jabber.ccc.de - GPG: 0xA0A0AAAA
For security reasons, all text in this mail is double-rot13 encrypted.
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Serafeim Zanikolas <sez@debian.org> to control@bugs.debian.org. (Mon, 05 Jul 2010 23:03:07 GMT) Full text and rfc822 format available.

Reply sent to Serafeim Zanikolas <sez@debian.org>:
You have taken responsibility. (Mon, 05 Jul 2010 23:03:19 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. (Mon, 05 Jul 2010 23:03:19 GMT) Full text and rfc822 format available.

Message #17 received at 588090-close@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: 588090-close@bugs.debian.org
Subject: Bug#588090: fixed in bogofilter 1.2.1-3
Date: Mon, 05 Jul 2010 23:02:13 +0000
Source: bogofilter
Source-Version: 1.2.1-3

We believe that the bug you reported is fixed in the latest version of
bogofilter, which is due to be installed in the Debian FTP archive:

bogofilter-bdb_1.2.1-3_i386.deb
  to main/b/bogofilter/bogofilter-bdb_1.2.1-3_i386.deb
bogofilter-common_1.2.1-3_all.deb
  to main/b/bogofilter/bogofilter-common_1.2.1-3_all.deb
bogofilter-sqlite_1.2.1-3_i386.deb
  to main/b/bogofilter/bogofilter-sqlite_1.2.1-3_i386.deb
bogofilter-tokyocabinet_1.2.1-3_i386.deb
  to main/b/bogofilter/bogofilter-tokyocabinet_1.2.1-3_i386.deb
bogofilter_1.2.1-3.debian.tar.gz
  to main/b/bogofilter/bogofilter_1.2.1-3.debian.tar.gz
bogofilter_1.2.1-3.dsc
  to main/b/bogofilter/bogofilter_1.2.1-3.dsc
bogofilter_1.2.1-3_i386.deb
  to main/b/bogofilter/bogofilter_1.2.1-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588090@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Serafeim Zanikolas <sez@debian.org> (supplier of updated bogofilter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 06 Jul 2010 00:21:16 +0200
Source: bogofilter
Binary: bogofilter bogofilter-bdb bogofilter-sqlite bogofilter-tokyocabinet bogofilter-common
Architecture: source i386 all
Version: 1.2.1-3
Distribution: unstable
Urgency: high
Maintainer: Serafeim Zanikolas <sez@debian.org>
Changed-By: Serafeim Zanikolas <sez@debian.org>
Description: 
 bogofilter - a fast Bayesian spam filter (dummy package)
 bogofilter-bdb - a fast Bayesian spam filter (Berkeley DB)
 bogofilter-common - a fast Bayesian spam filter (common files)
 bogofilter-sqlite - a fast Bayesian spam filter (sqlite)
 bogofilter-tokyocabinet - a fast Bayesian spam filter (tokyocabinet)
Closes: 581995 582882 583311 588090
Changes: 
 bogofilter (1.2.1-3) unstable; urgency=high
 .
   * Apply patch from Julius Plenz <plenz@cis.fu-berlin.de> to prevent possible
     heap corruption due to a bug in the base64_decode function (see
     bogofilter-SA-2010-01). Setting urgency=high. closes: #588090.
   * Do not hardwire the optimisation level for s390. closes: 582882.
   * Apply patch from Loïc Minier <lool@dooz.org> to not build
     bogofilter-tokyocabinet for Ubuntu (and Ubuntu-derived) distributions.
     closes: #581995.
   * Force autoconf to use bash. closes: #583311.
   * debian/bogofilter-common.NEWS: fix debian-news-entry-without-blank-line
   * debian/control:Maintainer: set to my debian email address.
   * Bump Standards-Version to 3.9.0 (no changes).
Checksums-Sha1: 
 61a16d274cf4e000f311bd6d8973a935f39a1eb0 1792 bogofilter_1.2.1-3.dsc
 4a2a6bdda2ff3458bd7c2e9e8b4f80353112d4ef 17344 bogofilter_1.2.1-3.debian.tar.gz
 1a2d7f2dcacfd5d1a04b477468acb8f115d59aaf 964 bogofilter_1.2.1-3_i386.deb
 98f54a25f9528c8d3442d8d13ad5b161c6e314d9 240976 bogofilter-bdb_1.2.1-3_i386.deb
 608119f7ffb3f33de83504d910249ca2616364f1 205924 bogofilter-sqlite_1.2.1-3_i386.deb
 daf53c63526be464de6fc03fa7aaaae5529e2a4b 199632 bogofilter-tokyocabinet_1.2.1-3_i386.deb
 7162eb7d319dd2556df52ea96182aec6c656c4b1 188926 bogofilter-common_1.2.1-3_all.deb
Checksums-Sha256: 
 8665fb9077259aadc2be6111dbed1cf00e9f26c5ae6762fdab8bc926b590bcf3 1792 bogofilter_1.2.1-3.dsc
 b327146eaaed744e5f287d305f275571d39e8806027e940f40092cb6286523a4 17344 bogofilter_1.2.1-3.debian.tar.gz
 8132cc86697089875ea1294f7352f0f926f6744c7e3a95a409cb6110f7aae5f4 964 bogofilter_1.2.1-3_i386.deb
 de82026426d4fa9458de36e98e0858ae8bea9c41fdb2e2f57a3b84633a47a238 240976 bogofilter-bdb_1.2.1-3_i386.deb
 488f6b2a202c4e9b6760374da6e967234591923b0ea81ba136d4de166c4c63bc 205924 bogofilter-sqlite_1.2.1-3_i386.deb
 182cea63d755ff8d866c4966e0b01c7dca58e8993b9720bca82e44d3166af5dd 199632 bogofilter-tokyocabinet_1.2.1-3_i386.deb
 bf7dd160387b36d5cb88e5ca7fe86a99ad3679b4e67b084376024849564db7fb 188926 bogofilter-common_1.2.1-3_all.deb
Files: 
 4696c8296ed989db30e56acd91f7aed6 1792 mail optional bogofilter_1.2.1-3.dsc
 b84ab8a795e4595a099a5ac2418e8dad 17344 mail optional bogofilter_1.2.1-3.debian.tar.gz
 8358628e8212b57b4a8555e3eba01737 964 mail optional bogofilter_1.2.1-3_i386.deb
 15b570d4124ac1690d592087a7a4fdc2 240976 mail optional bogofilter-bdb_1.2.1-3_i386.deb
 1fdb8dce13ff0b77ea87aa3207f25112 205924 mail extra bogofilter-sqlite_1.2.1-3_i386.deb
 4cb99ae55581a697852e8207d0a9dfec 199632 mail extra bogofilter-tokyocabinet_1.2.1-3_i386.deb
 b62adee51c39d77ced278ddaeaf41aa5 188926 mail optional bogofilter-common_1.2.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMMl/lAAoJEE+fbVUO1hIqnLQP/0KjiQAqr6tkFJfAHN6nrQMQ
f5vpszzxfCGYhM7H3evXqa/KeuOWS8sbI7PWvDCckPhh0ClGdvkY2Y2dF1OABCr3
8ZItWfc8uFhIhe8q1O8XsJARSG8h1h4fQ+VAryFdR5shLmD+HduOOGDUp8J8Zlo9
gmoWJGy0G+abb2Hp7ssordP6SygtLJDeIbfWkiE2e3a4UIikiqIaiISzLxpYsUKF
XOZSEd115Q6RjXwPHWncSshcOwvapj2TKNZb7EgUcnspf6a4PUJ4FtJPLVAFLyKX
gvbgUEaYKlj+9pKhutwbjuVtbPOEzZ8d2EAJrspCN4XrFa7PYKxt6x9cWD1A4AK3
dPx+7xgUN7m12eYA6H7Kn3VCXxi1zeBzXbIize0zzjFW7UVegZC3mhTmTK42NuaB
OYvIu1qyMF2v6378VgXWVOitrgvFvU3Srv76QuER+jta60hg32zPqIG0LwYNN/xj
z1iYA25UZGCJ90FO+tvr9xuWsmYqd0v023IbS6tJULDhUqyCDI5pTLIHsVUozDqR
55lqFI4jWEWgat6SYiPW1LJnpP00LTp0CpGwXS8M/1X9ri5Rb2oe9s9SS2SwlAmR
1RJnNwBfSjiEB2km/UOwEV4ggBVXmfdgYzWQ6xdivyysYG7Y3G6/QUUlvfdss/4L
j4oCTmQv2rStSppKd6Bc
=Ni1J
-----END PGP SIGNATURE-----





Reply sent to Serafeim Zanikolas <sez@debian.org>:
You have taken responsibility. (Tue, 05 Oct 2010 08:03:03 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. (Tue, 05 Oct 2010 08:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 588090-close@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: 588090-close@bugs.debian.org
Subject: Bug#588090: fixed in bogofilter 1.1.7-1+lenny1
Date: Tue, 05 Oct 2010 08:00:07 +0000
Source: bogofilter
Source-Version: 1.1.7-1+lenny1

We believe that the bug you reported is fixed in the latest version of
bogofilter, which is due to be installed in the Debian FTP archive:

bogofilter-bdb_1.1.7-1+lenny1_i386.deb
  to main/b/bogofilter/bogofilter-bdb_1.1.7-1+lenny1_i386.deb
bogofilter-common_1.1.7-1+lenny1_all.deb
  to main/b/bogofilter/bogofilter-common_1.1.7-1+lenny1_all.deb
bogofilter-qdbm_1.1.7-1+lenny1_i386.deb
  to main/b/bogofilter/bogofilter-qdbm_1.1.7-1+lenny1_i386.deb
bogofilter-sqlite_1.1.7-1+lenny1_i386.deb
  to main/b/bogofilter/bogofilter-sqlite_1.1.7-1+lenny1_i386.deb
bogofilter-tokyocabinet_1.1.7-1+lenny1_i386.deb
  to main/b/bogofilter/bogofilter-tokyocabinet_1.1.7-1+lenny1_i386.deb
bogofilter_1.1.7-1+lenny1.diff.gz
  to main/b/bogofilter/bogofilter_1.1.7-1+lenny1.diff.gz
bogofilter_1.1.7-1+lenny1.dsc
  to main/b/bogofilter/bogofilter_1.1.7-1+lenny1.dsc
bogofilter_1.1.7-1+lenny1_i386.deb
  to main/b/bogofilter/bogofilter_1.1.7-1+lenny1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588090@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Serafeim Zanikolas <sez@debian.org> (supplier of updated bogofilter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 20 Sep 2010 08:35:46 +0000
Source: bogofilter
Binary: bogofilter bogofilter-bdb bogofilter-qdbm bogofilter-sqlite bogofilter-tokyocabinet bogofilter-common
Architecture: source all i386
Version: 1.1.7-1+lenny1
Distribution: stable
Urgency: high
Maintainer: Serafeim Zanikolas <sez@debian.org>
Changed-By: Serafeim Zanikolas <sez@debian.org>
Description: 
 bogofilter - a fast Bayesian spam filter (dummy package)
 bogofilter-bdb - a fast Bayesian spam filter (Berkeley DB)
 bogofilter-common - a fast Bayesian spam filter (common files)
 bogofilter-qdbm - a fast Bayesian spam filter (QDBM)
 bogofilter-sqlite - a fast Bayesian spam filter (sqlite)
 bogofilter-tokyocabinet - a fast Bayesian spam filter (tokyocabinet)
Closes: 588090
Changes: 
 bogofilter (1.1.7-1+lenny1) stable; urgency=high
 .
   * Apply patch from Julius Plenz <plenz@cis.fu-berlin.de> to prevent possible
     heap corruption due to a bug in the base64_decode function (CVE-2010-2494,
     aka bogofilter-SA-2010-01). Setting urgency=high, but uploading to stable
     because the issue does not warrant a DSA. closes: #588090.
   * Update maintainer field in debian/control.
Checksums-Sha1: 
 2d0f4698b30b5e715971c0e82d90f404ccb93436 1808 bogofilter_1.1.7-1+lenny1.dsc
 76fd97d3a6fbf8ad5aff305cd65d81d46c2db52a 12245 bogofilter_1.1.7-1+lenny1.diff.gz
 8339ce920243d3e22a363024c8ad646a7e55133c 150056 bogofilter-common_1.1.7-1+lenny1_all.deb
 1a56a5327058f2303e3d55914c20c6b610b20e55 946 bogofilter_1.1.7-1+lenny1_i386.deb
 2961cb234c1293e12e9472fa3296f0d0ec5e23d9 217746 bogofilter-bdb_1.1.7-1+lenny1_i386.deb
 161cb36daf2960fcb719d59b3a9c413bb22860d6 186292 bogofilter-qdbm_1.1.7-1+lenny1_i386.deb
 56c655efcf59de38d4df67597da9eaf6fce70c96 189738 bogofilter-sqlite_1.1.7-1+lenny1_i386.deb
 8e302e8b1ae4235b38f9461d537fdf74e3b52fc7 184514 bogofilter-tokyocabinet_1.1.7-1+lenny1_i386.deb
Checksums-Sha256: 
 93ea8e27f2a7e67451329ff51218691702cbb600e9586e52c6504caa04487818 1808 bogofilter_1.1.7-1+lenny1.dsc
 9df1d13f64f485a11abc311f37ba767d030282e4437b24fd43a6a4a60884587f 12245 bogofilter_1.1.7-1+lenny1.diff.gz
 1ce19ab5e0b7704e2ce61454eabade929660cf02bcb7958705fe746887e0c433 150056 bogofilter-common_1.1.7-1+lenny1_all.deb
 fa64e50bdd1bfeed6d11f3fba494ffd74e9150b86588a929919e7d15cf997546 946 bogofilter_1.1.7-1+lenny1_i386.deb
 769255c305416d6b0f4273a238837dbb588d1ec189be3f6dd2aef1ff3dbdf167 217746 bogofilter-bdb_1.1.7-1+lenny1_i386.deb
 c8f0b258f9ad72538a56e785bc8c0a9e3c09e12f357fb02e79b29d1c38b9c0f4 186292 bogofilter-qdbm_1.1.7-1+lenny1_i386.deb
 af9bc7c04402d9e88c274ff45b15ccda92e74a61b7535f4cadda4987674dce96 189738 bogofilter-sqlite_1.1.7-1+lenny1_i386.deb
 e27bfb5e1ee713733997cb7646190d8d6cce47f0dc836de8318bf5c3f0dc4da3 184514 bogofilter-tokyocabinet_1.1.7-1+lenny1_i386.deb
Files: 
 95d07dd5a408a5b11fa2bee41e95cece 1808 mail optional bogofilter_1.1.7-1+lenny1.dsc
 a6e50d2409c4823bfa5599a4d08e5dc1 12245 mail optional bogofilter_1.1.7-1+lenny1.diff.gz
 04d4368a296284f0a10d8a14a8ef18e8 150056 mail optional bogofilter-common_1.1.7-1+lenny1_all.deb
 6d903b1702341c6463d9da6d34f96d16 946 mail optional bogofilter_1.1.7-1+lenny1_i386.deb
 5d2ae8fe37019949548f80160f2cece3 217746 mail optional bogofilter-bdb_1.1.7-1+lenny1_i386.deb
 8ef6d4c27446867fe904adae15f6ff39 186292 mail optional bogofilter-qdbm_1.1.7-1+lenny1_i386.deb
 1b3ebc4755ff1032bb366a466b4dd4a3 189738 mail optional bogofilter-sqlite_1.1.7-1+lenny1_i386.deb
 8ed563ddd0910f66bf1670f5edadb478 184514 mail optional bogofilter-tokyocabinet_1.1.7-1+lenny1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMqjsmAAoJEE+fbVUO1hIqerIP/3XBMkalpzWOdcpgZahQzclC
AL1xD5X6crvBWJhfAp1zIRR1Wyim0wad3+m+2OYkDOiV0lbl/nfLOBl0c6kh1aLc
xDfXIOWpOUn+mNSGc0EcNm6f+ta7Cse7y5S5rDg7mH4ktHGmDtGarzms3Wp8K4xP
8ttBGk0H2l2qL4gyLuz+5nLaFKhkN87TAEQMnUp1kGPhxKUfomp6JfVJoT7JQyVN
kAmpypwp4mSeVjSDM3onLPvyMA/ZGarZ6TSbyq6Fs3ca8Grp9ADLlU0DJOXgk5wY
bmKv14HKWjV6py6tFCU7q4B6uvf0phBY8iuOt7KxjHUV1QvI2Q+AOn+CoNFAKyQk
ky73iUTM6R02i9xSvjOjtkVdEh7B0ElLG71Asjs8cZ/vmSJOM7UrGBPhaq6JLwlj
AtQ1vF/pkO5P3BbRN5eqTdF3FycFomAOkqYLdE68XfGfG9nPXNQlxD5mBIn4sdUJ
ImMyNdsnYlk88b262KYwHpu9nMMSZnAGpFkvOckqCQJFJUX8rLVswvf3s31QSfem
MP3TuhFDic420RxdCWgMQaoB1kSXhUVpuCpyBlulUedm+dhWOAxfWO0BOhUNCNGk
Z6jCjRGx0aZ8Wy18JQDl8i3MyHo94lGpm2MeBoLoZwXrx5o26okyCdnXZhaaoNnm
SuA9j1Xx7mCx3omZJRbo
=Isn7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Nov 2010 07:34:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:52:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.